summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorStefan Seemayer2015-07-06 10:11:42 +0200
committerStefan Seemayer2015-07-06 10:11:42 +0200
commit24863db2d26f9a48c37c96de7f229c8a3cdb6b51 (patch)
treea86f50339ae892f1b2ca2a8682e86a59ca3e716f
downloadaur-24863db2d26f9a48c37c96de7f229c8a3cdb6b51.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD47
-rwxr-xr-xjalview12
-rw-r--r--jalview.desktop8
-rw-r--r--logo.gifbin0 -> 14501 bytes
5 files changed, 88 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..42100f2eba9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = jalview
+ pkgdesc = Bioinformatics Multiple Alignment Editor
+ pkgver = 2.8.2
+ pkgrel = 1
+ url = http://www.jalview.org/
+ arch = any
+ license = GPL3
+ makedepends = perl
+ makedepends = wget
+ depends = java-runtime
+ source = http://www.jalview.org/webstart/jalview.jnlp
+ source = logo.gif
+ source = jalview
+ source = jalview.desktop
+ md5sums = 22199389866d5ea6829d5005bed6974c
+ md5sums = e124f66d646560813b1a06b0cff02d3a
+ md5sums = 0ea5c6990bfa050c9c69f24926da3d57
+ md5sums = b3a842500e7ff3cd1324dede69822d21
+
+pkgname = jalview
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..fd8b08a1e66
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,47 @@
+# Maintainer: Stefan Seemayer <mail@semicolonsoftware.de>
+pkgname=jalview
+pkgver=2.8.2
+pkgrel=1
+pkgdesc="Bioinformatics Multiple Alignment Editor"
+arch=(any)
+url="http://www.jalview.org/"
+license=('GPL3')
+depends=(java-runtime)
+makedepends=(perl wget)
+
+source=( "http://www.jalview.org/webstart/jalview.jnlp"
+ "logo.gif"
+ "jalview"
+ "jalview.desktop")
+
+md5sums=('22199389866d5ea6829d5005bed6974c'
+ 'e124f66d646560813b1a06b0cff02d3a'
+ '0ea5c6990bfa050c9c69f24926da3d57'
+ 'b3a842500e7ff3cd1324dede69822d21')
+
+build() {
+
+ mkdir -p "$srcdir/$pkgname-$pkgver" || exit 1
+ cd "$srcdir/$pkgname-$pkgver" || exit 1
+
+ # parse list of jar files from JNLP file
+ jars=$(perl '-ne /<jar href="([^"]*)"\/>/ && print "$1\n"' "$srcdir/jalview.jnlp")
+
+ for jar in $jars; do
+ wget "http://www.jalview.org/webstart/$jar" -O "$jar" || exit 1
+ done
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ # set up directory structure
+ mkdir -p $pkgdir/usr/{share/{applications,pixmaps,java/$pkgname},bin}
+
+ install -Dm644 *.jar $pkgdir/usr/share/java/$pkgname/
+ install -Dm755 ../jalview $pkgdir/usr/bin/
+ install -Dm644 ../logo.gif $pkgdir/usr/share/pixmaps/jalview.gif
+ install -Dm644 ../jalview.desktop $pkgdir/usr/share/applications/
+}
+
+# vim:set ts=2 sw=2 et:
diff --git a/jalview b/jalview
new file mode 100755
index 00000000000..c1c64c839c0
--- /dev/null
+++ b/jalview
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+progname="jalview"
+mainclass="jalview.bin.Jalview"
+basedir="/usr/share/java/$progname"
+
+# build classpath: all jars in $basedir
+cp=$( ls $basedir/*.jar | xargs echo | sed "s/ /:/g" );
+
+
+# run jar
+"$JAVA_HOME/bin/java" -cp $cp $mainclass
diff --git a/jalview.desktop b/jalview.desktop
new file mode 100644
index 00000000000..af5ccfb8983
--- /dev/null
+++ b/jalview.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=Jalview
+Comment=A multiple alignment editor
+Exec=jalview
+Icon=/usr/share/pixmaps/jalview.gif
+StartupNotify=true
+Type=Application
+Categories=Education;Science;Bioinformatics;
diff --git a/logo.gif b/logo.gif
new file mode 100644
index 00000000000..9702313ed29
--- /dev/null
+++ b/logo.gif
Binary files differ